<?php

namespace App\ViewModels\Formulario\FormularioDetailsViewModel;

use App\Utils\Entity;

class PerguntaDetails extends Entity {
	protected $id;
	protected $texto_pergunta;
	protected $id_tipo_pergunta;
	protected $obrigatorio;
	protected $opcoes;
	protected $ordem;
	protected $ativo;

	public static function builder(): PerguntaDetailsBuilder {

		return new PerguntaDetailsBuilder();

	}

	public function getId(): int {

		return $this->id;

	}

	public function getTextoPergunta(): string {

		return $this->texto_pergunta;

	}

	public function getIdTipoPergunta(): int {

		return $this->id_tipo_pergunta;

	}

	public function getOrdem(): int {

		return $this->ordem;

	}

	public function getAtivo(): int {
		
		return $this->ativo;
		
	}
	
	public function getOpcoes(): OpcaoDetailsCollection {

		return $this->opcoes;

	}

	public function setId(int $id): void {

		$this->id = $id;

	}

	public function setTextoPergunta(string $texto_pergunta): void {

		$this->texto_pergunta = $texto_pergunta;

	}

	public function setIdTipoPergunta(int $id_tipo_pergunta): void {

		$this->id_tipo_pergunta = $id_tipo_pergunta;

	}

	public function setOrdem(int $ordem): void {

		$this->ordem = $ordem;

	}

	public function setAtivo(int $ativo): void {
		
		$this->ativo = $ativo;
		
	}
	
	public function setOpcoes(OpcaoDetailsCollection $opcoes): void {

		$this->opcoes = $opcoes;

	}

	public function getObrigatorio(): int {

		return $this->obrigatorio;

	}

	public function setObrigatorio(int $obrigatorio): void {

		$this->obrigatorio = $obrigatorio;

	}

}